Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class RemotePropertyChangeDispatcher

    java.lang.Object
      org.jini.rio.event.RemotePropertyChangeDispatcher

All Implemented Interfaces:
  PropertyChangeListener, EventListener

    public class RemotePropertyChangeDispatcher

extends Object
implements PropertyChangeListener

Contains a DispatchEventHandler to handle the notification of bound property changes to interested consumers

Constructor Summary
`RemotePropertyChangeDispatcher()` Creates new RemotePropertyChangeDispatcher using the RemotePropertyChangeEvent ID
`RemotePropertyChangeDispatcher(long eventID)` Creates new RemotePropertyChangeDispatcher

Method Summary
`EventDescriptor` | `getEventDescriptor()` Getter for property eventDescriptor.
`EventHandler` | `getEventHandler()` Getter for property eventHandler.
`void` | `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotePropertyChangeDispatcher

    public RemotePropertyChangeDispatcher()
                                   throws Exception

  Creates new RemotePropertyChangeDispatcher using the RemotePropertyChangeEvent ID

  Throws:
    `Exception` - if a DispatchEventHandler cannot be created

### RemotePropertyChangeDispatcher

    public RemotePropertyChangeDispatcher(long eventID)
                                   throws Exception

  Creates new RemotePropertyChangeDispatcher

  Parameters:
    `eventID` - the identification number for the RemotePropertyChangeEvent
  Throws:
    `Exception` - if a DispatchEventHandler cannot be created

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

### getEventDescriptor

    public EventDescriptor getEventDescriptor()

  Getter for property eventDescriptor.

  Returns:
    Value of property eventDescriptor.

### getEventHandler

    public EventHandler getEventHandler()

  Getter for property eventHandler.

  Returns:
    Value of property eventHandler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.